Lipsync Batches
Get Lipsync Batch
Returns batch aggregate status and one page of items with their ids and statuses. Item statuses are one of queued, processing, completed, or failed. The per-item id is returned as video_id (the batch read model is shared with the videos batch API).
GET
/
v3
/
lipsyncs
/
batches
/
{batch_id}
Get Lipsync Batch
curl --request GET \
--url https://api.heygen.com/v3/lipsyncs/batches/{batch_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.heygen.com/v3/lipsyncs/batches/{batch_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.heygen.com/v3/lipsyncs/batches/{batch_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"batch_id": "<string>",
"total_items": 123,
"counts_by_status": {},
"created_at": 123,
"items": [
{
"item_index": 123,
"video_id": "<string>",
"error": {}
}
],
"has_more": true,
"title": "<string>",
"next_token": "<string>"
}
}{
"error": {
"code": "invalid_parameter",
"message": "Video not found",
"param": "<string>",
"doc_url": "<string>",
"errors": [
{
"code": "unknown_node_type",
"message": "Unknown node type",
"node_id": "<string>",
"port": "<string>",
"path": "<string>"
}
]
}
}{
"error": {
"code": "authentication_failed",
"message": "Invalid or expired API key. Verify your x-api-key header.",
"param": null,
"doc_url": null
}
}{
"error": {
"code": "not_found",
"message": "Batch not found.",
"param": null,
"doc_url": null
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "Too many requests. Retry after the duration specified in the Retry-After header.",
"param": null,
"doc_url": null
}
}Authorizations
ApiKeyAuthBearerAuth
HeyGen API key. Obtain from your HeyGen dashboard.
Path Parameters
Unique lipsync batch identifier returned by POST /v3/lipsyncs/batches
Query Parameters
Items per page (1-100).
Required range:
1 <= x <= 100Opaque pagination cursor from a previous response.
Response
Successful response
Show child attributes
Show child attributes
⌘I
Get Lipsync Batch

